Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.query
Class TwoEntityQueryGenerator

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.query.TwoEntityQueryGenerator

All Implemented Interfaces:
  RelationQueryGenerator

    public final class TwoEntityQueryGenerator

extends Object
implements RelationQueryGenerator

Selects data from a relation middle-table and a related versions entity.

Constructor Summary
`TwoEntityQueryGenerator(GlobalConfiguration globalCfg, AuditEntitiesConfiguration verEntCfg, AuditStrategy auditStrategy, String versionsMiddleEntityName, MiddleIdData referencingIdData, MiddleIdData referencedIdData, MiddleComponentData... componentDatas)`

Method Summary
`Query` | `getQuery(AuditReaderImplementor versionsReader, Object primaryKey, Number revision)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TwoEntityQueryGenerator

    public TwoEntityQueryGenerator(GlobalConfiguration globalCfg,
                                   AuditEntitiesConfiguration verEntCfg,
                                   AuditStrategy auditStrategy,
                                   String versionsMiddleEntityName,
                                   MiddleIdData referencingIdData,
                                   MiddleIdData referencedIdData,
                                   MiddleComponentData... componentDatas)

Method Detail

### getQuery

    public Query getQuery(AuditReaderImplementor versionsReader,
                          Object primaryKey,
                          Number revision)

  Specified by:
    `getQuery` in interface `RelationQueryGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.